[arch-commits] Commit in raft/repos/community-x86_64 (PKGBUILD PKGBUILD)

Morten Linderud foxboron at archlinux.org
Wed Sep 9 17:50:37 UTC 2020


    Date: Wednesday, September 9, 2020 @ 17:50:36
  Author: foxboron
Revision: 701629

archrelease: copy trunk to community-x86_64

Added:
  raft/repos/community-x86_64/PKGBUILD
    (from rev 701628, raft/trunk/PKGBUILD)
Deleted:
  raft/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |   64 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-09-09 17:50:29 UTC (rev 701628)
+++ PKGBUILD	2020-09-09 17:50:36 UTC (rev 701629)
@@ -1,32 +0,0 @@
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-# Contributor: Thomas Hipp <thomashipp at gmail dot com>
-
-pkgname=raft
-pkgver=0.9.24
-pkgrel=1
-pkgdesc="C implementation of the Raft consensus protocol"
-arch=('x86_64')
-url="https://github.com/canonical/raft"
-license=('LGPL3')
-depends=('libuv')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
-sha256sums=('5c555dc9b69f122636660b30e6e3b065e09032a38499f7fe367c489d2dfda9ea')
-
-build() {
-	cd "${pkgname}-${pkgver}"
-	autoreconf -i
-	./configure --prefix=/usr
-	make
-}
-
-check() {
-	cd "${pkgname}-${pkgver}"
-	make check || true
-}
-
-package() {
-	cd "${pkgname}-${pkgver}"
-	make DESTDIR="$pkgdir/" install
-	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-	rm -rf "${pkgdir}/usr/bin"
-}

Copied: raft/repos/community-x86_64/PKGBUILD (from rev 701628, raft/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-09-09 17:50:36 UTC (rev 701629)
@@ -0,0 +1,32 @@
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Thomas Hipp <thomashipp at gmail dot com>
+
+pkgname=raft
+pkgver=0.9.25
+pkgrel=1
+pkgdesc="C implementation of the Raft consensus protocol"
+arch=('x86_64')
+url="https://github.com/canonical/raft"
+license=('LGPL3')
+depends=('libuv')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('fac55dc1cea66c7e2e6525d3be0aebedff8c31ec568efb6a911c6bb0ea99268d')
+
+build() {
+	cd "${pkgname}-${pkgver}"
+	autoreconf -i
+	./configure --prefix=/usr
+	make
+}
+
+check() {
+	cd "${pkgname}-${pkgver}"
+	make check || true
+}
+
+package() {
+	cd "${pkgname}-${pkgver}"
+	make DESTDIR="$pkgdir/" install
+	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+	rm -rf "${pkgdir}/usr/bin"
+}


More information about the arch-commits mailing list